###################################################
### chunk number 1: 
###################################################
library(POT)
rgpd(5, loc = 1, scale = 2, shape = -0.2)
rgpd(6, c(1, -5), 2, -0.2)
rgpd(6, 0, c(2, 3), 0)
pgpd(c(9, 15, 20), 1, 2, 0.25)
qgpd(c(.25, .5, .75), 1, 2, 0)
dgpd(c(9, 15, 20), 1, 2, 0.25)


###################################################
### chunk number 2: 
###################################################
x <- runif(10000)


###################################################
### chunk number 3: tcplot
###################################################
par(mfrow=c(1,2))
tcplot(x, u.range = c(0.9, 0.995))


###################################################
### chunk number 4: 
###################################################
par(mfrow=c(1,2))
tcplot(x, u.range = c(0.9, 0.995))


###################################################
### chunk number 5: 
###################################################
x <- rnorm(10000)


###################################################
### chunk number 6: mrlplot
###################################################
mrlplot(x, u.range = c(1, quantile(x, probs = 0.995)),
 col = c("green", "black", "green"), nt = 200)


###################################################
### chunk number 7: 
###################################################
mrlplot(x, u.range = c(1, quantile(x, probs = 0.995)),
 col = c("green", "black", "green"), nt = 200)


###################################################
### chunk number 8: 
###################################################
x <- c(1 - abs(rnorm(200, 0, 0.2)), rgpd(100, 1, 2, 0.25))


###################################################
### chunk number 9: lmomplot
###################################################
lmomplot(x, u.range = c(0.9, quantile(x, probs = 0.9)), identify = FALSE)


###################################################
### chunk number 10: 
###################################################
lmomplot(x, u.range = c(0.9, quantile(x, probs = 0.9)), identify = FALSE)


###################################################
### chunk number 11: diplot
###################################################
data(ardieres)
events <- clust(ardieres, u = 2, tim.cond = 8 / 365, clust.max = TRUE)
diplot(events, u.range = c(2, 20))


###################################################
### chunk number 12: 
###################################################
data(ardieres)
events <- clust(ardieres, u = 2, tim.cond = 8 / 365, clust.max = TRUE)
diplot(events, u.range = c(2, 20))


###################################################
### chunk number 13: 
###################################################
x <- rgpd(200, 1, 2, 0.25)                             
mom <- fitgpd(x, 1, "moments")$param                        
mle <- fitgpd(x, 1, "mle")$param                       
pwmu <- fitgpd(x, 1, "pwmu")$param                     
pwmb <- fitgpd(x, 1, "pwmb")$param                     
pickands <- fitgpd(x, 1, "pickands")$param             
med <- fitgpd(x, 1, "med", start = list(scale = 2, shape = 0.25))$param          
mdpd <- fitgpd(x, 1, "mdpd")$param    
mple <- fitgpd(x, 1, "mple")$param
ad2r <- fitgpd(x, 1, "mgf", stat = "AD2R")$param                
print(rbind(mom, mle, pwmu, pwmb, pickands, med, mdpd, mple, ad2r))


###################################################
### chunk number 14: 
###################################################
x <- rgpd(100, 1, 2, 0)
fitgpd(x, thresh = 1, shape = 0, est = "mle")
fitgpd(x, thresh = 1, scale = 2, est = "mle")


###################################################
### chunk number 15: 
###################################################
x <- rgpd(500, 1:2, 0.3, 0.01)
fitgpd(x, 1:2, est = "mle")


###################################################
### chunk number 16: 
###################################################
x <- rgpd(500, 0, 1, 0.25)
y <- rgpd(500, 2, 0.5, -0.25)
Mlog <- fitbvgpd(cbind(x,y), c(0,2), model = "log")
Mlog


###################################################
### chunk number 17: 
###################################################
fitbvgpd(cbind(x,y), c(0,2), model = "log", alpha = 1)


###################################################
### chunk number 18: pickdep
###################################################
pickdep(Mlog)


###################################################
### chunk number 19: 
###################################################
pickdep(Mlog)


###################################################
### chunk number 20: 
###################################################
mc <- simmc(1000, alpha = 0.5, model = "log")
mc <- qgpd(mc, 2, 1, 0.15)
fitmcgpd(mc, 2, "log")


###################################################
### chunk number 21: 
###################################################
x <- rgpd(200, 1, 2, 0.25)
mle <- fitgpd(x, 1, est = "mle")
mom <- fitgpd(x, 1, est = "moments")
pwmb <- fitgpd(x, 1, est = "pwmb")
pwmu <- fitgpd(x, 1, est = "pwmu")
gpd.fiscale(mle, conf = 0.9)
gpd.fiscale(mom, conf = 0.9)
gpd.fiscale(pwmu, conf = 0.9)
gpd.fiscale(pwmb, conf = 0.9)


###################################################
### chunk number 22: pfci
###################################################
par(mfrow=c(1,2))
gpd.pfscale(mle, range = c(1, 2.9), conf = 0.9)
gpd.pfshape(mle, range = c(0, 0.6), conf = 0.85)


###################################################
### chunk number 23: 
###################################################
par(mfrow=c(1,2))
gpd.pfscale(mle, range = c(1, 2.9), conf = 0.9)
gpd.pfshape(mle, range = c(0, 0.6), conf = 0.85)


###################################################
### chunk number 24: pfrl
###################################################
gpd.firl(pwmu, prob = 0.95)
gpd.pfrl(mle, prob = 0.95, range = c(5, 16))


###################################################
### chunk number 25: 
###################################################
gpd.firl(pwmu, prob = 0.95)
gpd.pfrl(mle, prob = 0.95, range = c(5, 16))


###################################################
### chunk number 26: 
###################################################
x <- rgpd(200, 10, 0.5, -0.2)


###################################################
### chunk number 27: plotgpd
###################################################
fitted <- fitgpd(x, 10, est = "mle")
par(mfrow=c(2,2))
plot(fitted, npy = 1)


###################################################
### chunk number 28: 
###################################################
fitted <- fitgpd(x, 10, est = "mle")
par(mfrow=c(2,2))
plot(fitted, npy = 1)


###################################################
### chunk number 29: 
###################################################
plot(fitted, which = 1)
pp(fitted)


###################################################
### chunk number 30: 
###################################################
data(ardieres)
events <- clust(ardieres, u = 2, tim.cond = 8 / 365)


###################################################
### chunk number 31: clust
###################################################
clustMax <- clust(ardieres, u = 2, tim.cond = 8 / 365, clust.max = TRUE, plot = TRUE, xlim = c(1971.1, 1972.9))


###################################################
### chunk number 32: 
###################################################
clustMax <- clust(ardieres, u = 2, tim.cond = 8 / 365, clust.max = TRUE, plot = TRUE, xlim = c(1971.1, 1972.9))


###################################################
### chunk number 33: 
###################################################
rp2prob(50, 1.8)
prob2rp(0.6, 2.2)


###################################################
### chunk number 34: 
###################################################
x <- runif(50)
samlmu(x, nmom = 5)


###################################################
### chunk number 35: ts2tsd
###################################################
data(ardieres)
tsd <- ts2tsd(ardieres, 3 / 365)
plot(ardieres, type = "l", col = "blue")
lines(tsd, col = "green")


###################################################
### chunk number 36: 
###################################################
data(ardieres)
tsd <- ts2tsd(ardieres, 3 / 365)
plot(ardieres, type = "l", col = "blue")
lines(tsd, col = "green")


###################################################
### chunk number 37: threshSelect
###################################################
summary(ardieres)
events0 <- clust(ardieres, u = 1.5, tim.cond = 8/365, clust.max = TRUE)
par(mfrow=c(2,2))
mrlplot(events0[,"obs"])
abline( v = 6, col = "green")
diplot(events0)
abline( v = 6, col = "green")
tcplot(events0[,"obs"], which = 1)
abline( v = 6, col = "green")
tcplot(events0[,"obs"], which = 2)
abline( v = 6, col = "green")


###################################################
### chunk number 38: 
###################################################
summary(ardieres)
events0 <- clust(ardieres, u = 1.5, tim.cond = 8/365, clust.max = TRUE)
par(mfrow=c(2,2))
mrlplot(events0[,"obs"])
abline( v = 6, col = "green")
diplot(events0)
abline( v = 6, col = "green")
tcplot(events0[,"obs"], which = 1)
abline( v = 6, col = "green")
tcplot(events0[,"obs"], which = 2)
abline( v = 6, col = "green")


###################################################
### chunk number 39: 
###################################################
events1 <- clust(ardieres, u = 6, tim.cond = 8/365, clust.max = TRUE)
npy <- length(events1[,"obs"]) / (diff(range(ardieres[,"time"], na.rm
= TRUE)) - diff(ardieres[c(20945,20947),"time"])) 
##Because there is a gap !!!
print(npy)
attributes(events1)$exi


###################################################
### chunk number 40: checkArdieres
###################################################
mle <- fitgpd(events1[,"obs"], thresh = 6, est = "mle")
par(mfrow=c(2,2))
plot(mle, npy = npy)


###################################################
### chunk number 41: 
###################################################
mle <- fitgpd(events1[,"obs"], thresh = 6, est = "mle")
par(mfrow=c(2,2))
plot(mle, npy = npy)


###################################################
### chunk number 42: 
###################################################
##First convert return period in prob
rp2prob(retper = 100, npy = npy)
prob <- rp2prob(retper = 100, npy = npy)[,"prob"]
qgpd(prob, loc = 6, scale = mle$param["scale"], shape = mle$param["shape"]) 


###################################################
### chunk number 43: pfrlArdieres
###################################################
gpd.pfrl(mle, prob, range = c(25, 100), nrang = 200)


###################################################
### chunk number 44: 
###################################################
gpd.pfrl(mle, prob, range = c(25, 100), nrang = 200)


###################################################
### chunk number 45: 
###################################################
maxEvent <- max(events1[,"obs"])
maxEvent
prob <- pgpd(maxEvent, loc = 6, scale = mle$param["scale"], shape =
mle$param["shape"]) 
prob
prob2rp(prob, npy = npy)


